#pragma once

#include "program.hpp"
#include <string>

namespace sk {
struct [[nodiscard]] run_result {
    std::string out;
    std::string err;
};

enum class runner_backend { BubbleWrap, Docker };

class runner {
    runner_backend backend;

  public:
    explicit runner(runner_backend backend);
    run_result run_blocking(const program &program);
};
}
